Skip to main content
POST
/
mr
/
api
/
v2
/
docs
Upload Record
curl --request POST \
  --url https://api.eka.care/mr/api/v2/docs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
import requests

url = "https://api.eka.care/mr/api/v2/docs"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', 'aSDinaTvuI8gbWludGxpZnk=');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.eka.care/mr/api/v2/docs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "document_id": "8570e23d-ee57-4948-95a7-370f0f113db8"
}
"Invalid form data."
{
  "message": "Forbidden"
}
Upload the image or PDF file following the document specifications below. Ensure you define the document type and tasks you want to process in the query parameters. Document Specifications
  • PDF Documents: Ensure the file is complete and legible.
  • Images:
    • Preferred DPI: 150+
    • Images must be non-blurred
    • Avoid images with a high degree of non-linear warping or rotation for optimal processing accuracy.
File Size Limit
  • Maximum allowed file size: 10 MB
  • Files larger than 10 MB: Use the Request Upload flow to upload larger files.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pt-Id
string

eka user id (OID)

Query Parameters

dt
enum<string>

Specifies the type of document being uploaded. The following values are allowed:

  • lr: Lab Report
Available options:
lr
task
enum<string>
required

Specifies the type of document being uploaded. The following values are allowed:

  • smart: Parse the document to smart report
  • pii: Parse Personal Identification Information from the document
  • classification: Parse classification document
Available options:
smart,
pii,
classification
batch
boolean

if you are upload document in batch the pass this information as true

Body

multipart/form-data
file
file
required

The file to be uploaded.

Response

File uploaded successfully.

document_id
string<uuid>

The unique identifier for the uploaded document.

Example:

"8570e23d-ee57-4948-95a7-370f0f113db8"